function mapped_pulse_template = pulse_add_delim(pulse_template, pulse_name, set_pulse_identifier)
	% Prefix all parameters in pulseTemplate with the pulse name followed by
	% three underscores (needed for dictionaries).

	if nargin < 3 || isempty(set_pulse_identifier)
		set_pulse_identifier = true;
	end
	
	delim = '___';
	parameters = qc.get_pulse_params(pulse_template);
	parameter_mapping = cell(1, 2*numel(parameters));
	for k = 1:numel(parameters)
		parameter_mapping{1, 2*k-1} = parameters{k};
		parameter_mapping{1, 2*k} = strcat(pulse_name, delim, parameters{k});
	end
	parameter_mapping = struct(parameter_mapping{:});

	if set_pulse_identifier
		mapped_pulse_template = py.qctoolkit.pulses.MappingPT( ...
			pyargs( ...
				'template',  pulse_template, ...
				'identifier', pulse_name, ...
				'parameter_mapping', parameter_mapping, ...
				'allow_partial_parameter_mapping', true ...
				) ...
			);
	else
		mapped_pulse_template = py.qctoolkit.pulses.MappingPT( ...
			pyargs( ...
				'template',  pulse_template, ...
				'parameter_mapping', parameter_mapping, ...
				'allow_partial_parameter_mapping', true ...
				) ...
			);
	end